CaptureKit

Usage

GET
/usage

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.capturekit.dev/usage"
{
  "remaining": 77,
  "total_used": 23,
  "renewal_date": "2026-03-13",
  "period": {
    "start": "2026-02-13",
    "end": "2026-03-13"
  },
  "subscription": {
    "used": 23,
    "total": 100,
    "remaining": 77,
    "percent_used": 23
  },
  "credits": {
    "given": 0,
    "consumed": 0,
    "remaining": 0,
    "percent_used": 0
  },
  "rate_limit": {
    "per_minute": null,
    "per_second": null
  },
  "account": {
    "name": "HelloWorld",
    "slug": "helloworld"
  },
  "api_key": {
    "alias": "test",
    "active": true,
    "category": "production",
    "expires": null,
    "quotas": {
      "total": null,
      "daily": null,
      "weekly": null,
      "monthly": null
    }
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}